Loading ...
Sorry, an error occurred while loading the content.
 

RE: Build error about --with-tlib

Expand Messages
  • Suresh Govindachar
    ... -- You received this message from the vim_dev maillist. Do not top-post! Type your reply below the text you are replying to. For more information, visit
    Message 1 of 3 , Feb 28, 2010
      On the vim user mailing list, Benjamin R. Haskell explained the issue:

      > On Sat, 27 Feb 2010, Suresh Govindachar wrote:
      >[...]
      >>
      >> I tried 3 ways to install "vim-with-everything" on Fedora Core 8, but
      >> failed:
      >>
      >> Attempt 1) vim-7.2.tar.bz2 - typing make resulted in the following
      >> error:
      >>
      >> [...]
      >> checking for tgetent()... configure: error: NOT FOUND!
      >> You need to install a terminal library; for example ncurses.
      >> Or specify the name of the library with --with-tlib.
      >
      > Generally, to compile software on RPM-based distributions, you need to
      > install '-dev' or '-devel' packages for things that are normally installed
      > as binaries.
      >
      > So, you might have 'curses' or 'ncurses' installed, but you also need
      > 'curses-devel' or 'ncurses-dev' (I don't know the correct name).
      >
      > You'll probably need several such packages. [...]

      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    Your message has been successfully submitted and would be delivered to recipients shortly.